
library IEEE;
use IEEE.STD_LOGIC_1164.all;
use ieee.std_logic_signed.all;
use ieee.std_logic_arith.all;

entity TB is
end TB;

architecture TB of TB is
component Operazioni is
	 port(
		 start : in STD_LOGIC;
		 clk : in STD_LOGIC;
		 DA : in STD_LOGIC_VECTOR(31 downto 0);
		 DOP : in STD_LOGIC_VECTOR(31 downto 0);
		 fine : out STD_LOGIC;
		 Ris : out STD_LOGIC_VECTOR(31 downto 0)
	     );
end component;

signal start,clk,fine:std_logic;
signal DA,DOP,Ris:std_logic_vector(31 downto 0);


begin 

	process
	begin
	clk<='0';
	wait for 5 ns;
	clk<='1';
	wait for 5 ns;
end process;

process  
begin 
	start<='0';
	wait for 1 ns;
	start<='1';
	wait for 10 ns;
	start<='0';
	wait for 69 ns;
end process;  

dut: Operazioni port map (start,clk,DA,DOP,fine,Ris);

DOP<= conv_std_logic_vector(0,32) after 11 ns, --op
conv_std_logic_vector(1,32) after 91 ns, --op 

conv_std_logic_vector(2,32) after 171 ns, --op
conv_std_logic_vector(3,32) after 251 ns, --op
conv_std_logic_vector(17,32) after 261 ns; --d2

DA<=conv_std_logic_vector(4,32) after 11 ns, --d0
conv_std_logic_vector(100,32) after 91 ns, --d0
conv_std_logic_vector(150,32) after 101 ns, --d1
conv_std_logic_vector(10,32) after 171 ns, --d0
conv_std_logic_vector(22,32) after 181 ns, --d1
conv_std_logic_vector(1,32) after 251 ns, --d0
conv_std_logic_vector(2,32) after 261 ns; --d1










	
	
	
	


end TB;
