
library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_ARITH.all;

entity tb_compito is
end tb_compito;


architecture tbb_compito of tb_compito is
	component compito is
		port(
			Data: in std_logic_vector(15 downto 0);
			OP: in std_logic_vector(1 downto 0);
			clk,esegui: in std_logic;
			Dout: out std_logic_vector(15 downto 0);
			ready: out std_logic);
	end component;

signal Data,Dout: std_logic_vector(15 downto 0);
signal OP: std_logic_vector(1 downto 0);
signal clk,esegui,ready: std_logic;

begin

	dut: compito port map(Data,OP,clk,esegui,Dout,ready);
	
		
	process
		begin
			clk<='0';
			wait for 5 ns;
			clk<='1';
			wait for 5 ns;
		end process;
		
		
	process
		begin
			esegui<='0';
			wait for 1 ns;
			esegui<='1';
			wait for 10 ns;
			esegui<='0';
			wait for 69 ns;
		end process;
	
	-- valori di OP
	
	op <= 	conv_std_logic_vector(0,2) after 11 ns, -- SET
			conv_std_logic_vector(1,2) after 91 ns, -- OR
			conv_std_logic_vector(2,2) after 171 ns, -- AND
			conv_std_logic_vector(3,2) after 251 ns; -- ADD
	
	-- valori di Data
	
	Data <= 	conv_std_logic_vector(5,16) after 11 ns, -- R
				conv_std_logic_vector(7,16) after 91 ns, -- d0
				conv_std_logic_vector(6,16) after 171 ns, -- d0
				conv_std_logic_vector(11,16) after 251 ns; -- d0
	
	
end tbb_compito;
