
-- Niccol Fabrizio Pagano O46000397

library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_arith.all;

entity tboperazioni is
end tboperazioni;


architecture tb of tboperazioni is

component operazioni is
	 port(
		 Nw : in STD_LOGIC;
		 Clk : in STD_LOGIC;
		 Din : in STD_LOGIC_VECTOR(7 downto 0);
		 Ready : out STD_LOGIC;
		 Ris : out STD_LOGIC_VECTOR(15 downto 0)
	     );
end component;

signal nw, clk, ready: std_logic;
signal din: std_logic_vector(7 downto 0);
signal ris: std_logic_vector(15 downto 0);

begin

	device_under_test: operazioni port map (nw, clk, din, ready, ris);
	
	process
	begin
		clk <= '0';
		wait for 5 ns;
		clk <= '1';
		wait for 5 ns;
	end process;
	
	process
	begin
		nw <= '0';
		wait for 2 ns;
		nw <= '1';
		wait for 10 ns;
		nw <= '0';
		wait for 68 ns;
	end process;
	
	din <= conv_std_logic_vector(0, 8) after 2 ns,	-- and8
	conv_std_logic_vector(3, 8) after 12 ns,
	conv_std_logic_vector(5, 8) after 22 ns,
	
	conv_std_logic_vector(1, 8) after 82 ns,   -- or16
	conv_std_logic_vector(1, 8) after 92 ns,
	conv_std_logic_vector(10, 8) after 102 ns,
	conv_std_logic_vector(2, 8) after 112 ns,
	conv_std_logic_vector(4, 8) after 122 ns,
	
	conv_std_logic_vector(2, 8) after 162 ns,	-- add8
	conv_std_logic_vector(21, 8) after 172 ns,
	conv_std_logic_vector(-5, 8) after 182 ns,
	
	conv_std_logic_vector(3, 8) after 242 ns,  -- add16
	conv_std_logic_vector(8, 8) after 252 ns,
	conv_std_logic_vector(9, 8) after 262 ns,
	conv_std_logic_vector(1, 8) after 272 ns,
	conv_std_logic_vector(2, 8) after 282 ns;

end tb;
