library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;

entity testbench is
end testbench;

architecture tb of testbench is
component operazioni is
	port(
	op: in std_logic_vector(1 downto 0);
	din: in std_logic_vector(15 downto 0);
	start, clk: in std_logic;
	ris: out std_logic_vector(15 downto 0);
	fine: out std_logic);
end component;
signal op: std_logic_vector(1 downto 0);
signal din, ris: std_logic_vector(15 downto 0);
signal start, clk, fine: std_logic;
begin
	dut: operazioni port map(op, din, start, clk, ris, fine);
	process
	begin
		clk <= '0';
		wait for 5 ns;
		clk <= '1';
		wait for 5 ns;
	end process;
	process
	begin
		start <= '0';
		wait for 1 ns;
		start <= '1';
		wait for 10 ns; 
		start <= '0';
		wait for 49 ns;
	end process;
	op <= conv_std_logic_vector(0, 2) after 11 ns, conv_std_logic_vector(1, 2) after 71 ns,
		  conv_std_logic_vector(2, 2) after 131 ns, conv_std_logic_vector(3, 2) after 191 ns;
	din <= conv_std_logic_vector(13,16) after 31 ns, conv_std_logic_vector(7, 16) after 91 ns;
end tb;